# Linux/GCC/libaudiofile Makefile for the vocoder
#

CC = gcc
CFLAGS = -O -g -Wall
LDFLAGS = -lsp -laudiofile -lm
OBJS = voctest.o fbank.o vocoder.o ampanlzr.o
PROGS =	voctest

.cc.o:
	$(CC) $(CFLAGS) $(CCFLAGS) -c $*.cc -o $*.o

all:	voctest

voctest:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o voctest

clean:
	rm -f $(OBJS) $(PROGS) *~ *.bak
